Manifest-Version: 1.0
Bnd-LastModified: 1717471734266
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Journal Service
Bundle-SymbolicName: com.liferay.journal.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.92.hotfix-5569-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.auto.tagger.text.extractor;version="
 1.0",com.liferay.asset.display.page.model;version="4.0",com.liferay.a
 sset.display.page.service;version="2.7",com.liferay.asset.display.pag
 e.util;version="2.0",com.liferay.asset.entry.rel.model;version="3.0",
 com.liferay.asset.entry.rel.service;version="1.6",com.liferay.asset.k
 ernel;version="2.0",com.liferay.asset.kernel.model;version="9.0",com.
 liferay.asset.kernel.service;version="7.3",com.liferay.asset.kernel.v
 alidator;version="2.0",com.liferay.asset.util;version="3.0",com.lifer
 ay.change.tracking.model;version="3.0",com.liferay.change.tracking.sp
 i.listener;version="2.0",com.liferay.change.tracking.spi.reference;ve
 rsion="1.0",com.liferay.change.tracking.spi.reference.builder;version
 ="1.0",com.liferay.change.tracking.spi.resolver;version="1.0",com.lif
 eray.change.tracking.spi.resolver.context;version="1.0",com.liferay.c
 hange.tracking.spi.search;version="1.0",com.liferay.changeset.model;v
 ersion="3.0",com.liferay.changeset.service;version="1.6",com.liferay.
 comment.upgrade;version="2.0",com.liferay.counter.kernel.service;vers
 ion="2.1",com.liferay.data.engine.model;version="2.0",com.liferay.dat
 a.engine.service;version="1.9",com.liferay.depot.service;version="1.9
 ",com.liferay.depot.util;version="1.0",com.liferay.diff;version="1.0"
 ,com.liferay.diff.exception;version="1.0",com.liferay.document.librar
 y.kernel.exception;version="3.5",com.liferay.document.library.kernel.
 model;version="7.0",com.liferay.document.library.kernel.service;versi
 on="7.2",com.liferay.document.library.kernel.util;version="7.1",com.l
 iferay.document.library.util;version="1.1",com.liferay.dynamic.data.l
 ists.service;version="2.5",com.liferay.dynamic.data.mapping.exception
 ;version="2.7",com.liferay.dynamic.data.mapping.model;version="6.1",c
 om.liferay.dynamic.data.mapping.service;version="3.12",com.liferay.dy
 namic.data.mapping.storage;version="1.9",com.liferay.dynamic.data.map
 ping.storage.constants;version="1.2",com.liferay.dynamic.data.mapping
 .util;version="5.0",com.liferay.expando.kernel.model;version="5.0",co
 m.liferay.expando.kernel.service;version="1.8",com.liferay.expando.ke
 rnel.util;version="4.0",com.liferay.exportimport.configuration;versio
 n="2.1",com.liferay.exportimport.content.processor;version="1.0",com.
 liferay.exportimport.data.handler.base;version="1.0",com.liferay.expo
 rtimport.kernel.exception;version="2.0",com.liferay.exportimport.kern
 el.lar;version="4.3",com.liferay.exportimport.kernel.lifecycle;versio
 n="4.0",com.liferay.exportimport.kernel.model;version="5.0",com.lifer
 ay.exportimport.kernel.staging;version="2.2",com.liferay.exportimport
 .kernel.staging.permission;version="1.0",com.liferay.exportimport.ker
 nel.xstream;version="2.0",com.liferay.exportimport.staged.model.repos
 itory;version="1.1",com.liferay.friendly.url.exception;version="1.0",
 com.liferay.friendly.url.model;version="3.0",com.liferay.friendly.url
 .service;version="1.6",com.liferay.info.item;version="4.1",com.lifera
 y.info.item.provider;version="2.0",com.liferay.journal.configuration;
 version="7.1",com.liferay.journal.constants;version="3.0",com.liferay
 .journal.content.compatibility.converter;version="1.0",com.liferay.jo
 urnal.exception;version="2.4",com.liferay.journal.model;version="9.2"
 ,com.liferay.journal.service;version="7.1",com.liferay.journal.servic
 e.persistence;version="7.1",com.liferay.journal.util;version="4.0",co
 m.liferay.journal.util.comparator;version="1.3",com.liferay.layout.ad
 min.kernel.util;version="2.0",com.liferay.layout.display.page;version
 ="2.2",com.liferay.layout.model;version="2.1",com.liferay.layout.page
 .template.model;version="6.2",com.liferay.layout.page.template.servic
 e;version="5.0",com.liferay.layout.service;version="1.5",com.liferay.
 layout.util;version="4.1",com.liferay.osgi.service.tracker.collection
 s.map;version="2.2",com.liferay.osgi.util;version="2.3",com.liferay.p
 etra.function;version="1.5",com.liferay.petra.io.unsync;version="1.0"
 ,com.liferay.petra.lang;version="1.3",com.liferay.petra.reflect;versi
 on="1.5",com.liferay.petra.sql.dsl;version="1.1",com.liferay.petra.sq
 l.dsl.base;version="1.0",com.liferay.petra.sql.dsl.expression;version
 ="1.4",com.liferay.petra.sql.dsl.query;version="2.0",com.liferay.petr
 a.sql.dsl.query.sort;version="1.0",com.liferay.petra.string;version="
 1.7",com.liferay.petra.xml;version="2.0",com.liferay.portal.aop;versi
 on="1.0",com.liferay.portal.change.tracking.store,com.liferay.portal.
 configuration.metatype.bnd.util;version="2.0",com.liferay.portal.conf
 iguration.persistence.listener;version="1.1",com.liferay.portal.confi
 guration.upgrade;version="2.0",com.liferay.portal.dao.orm.common,com.
 liferay.portal.dao.orm.custom.sql;version="1.1",com.liferay.portal.in
 stance.lifecycle;version="2.1",com.liferay.portal.kernel.bean;version
 ="10.0",com.liferay.portal.kernel.cache;version="13.0",com.liferay.po
 rtal.kernel.cache.index;version="6.2",com.liferay.portal.kernel.chang
 e.tracking;version="2.2",com.liferay.portal.kernel.cluster;version="8
 .0",com.liferay.portal.kernel.comment;version="4.0",com.liferay.porta
 l.kernel.configuration;version="7.0",com.liferay.portal.kernel.dao.db
 ;version="10.1",com.liferay.portal.kernel.dao.jdbc;version="9.0",com.
 liferay.portal.kernel.dao.orm;version="12.0",com.liferay.portal.kerne
 l.events;version="6.3",com.liferay.portal.kernel.exception;version="1
 2.3",com.liferay.portal.kernel.io.unsync;version="8.0",com.liferay.po
 rtal.kernel.json;version="11.0",com.liferay.portal.kernel.language;ve
 rsion="11.0",com.liferay.portal.kernel.log;version="7.1",com.liferay.
 portal.kernel.mobile.device;version="9.0",com.liferay.portal.kernel.m
 odel;version="24.0",com.liferay.portal.kernel.model.change.tracking;v
 ersion="3.0",com.liferay.portal.kernel.model.impl;version="7.0",com.l
 iferay.portal.kernel.module.configuration;version="2.1",com.liferay.p
 ortal.kernel.module.framework;version="1.4",com.liferay.portal.kernel
 .module.framework.service;version="1.0",com.liferay.portal.kernel.por
 tlet;version="20.0",com.liferay.portal.kernel.portlet.url.builder;ver
 sion="1.1",com.liferay.portal.kernel.portletfilerepository;version="4
 .0",com.liferay.portal.kernel.repository.capabilities;version="2.0",c
 om.liferay.portal.kernel.repository.model;version="11.1",com.liferay.
 portal.kernel.sanitizer;version="8.0",com.liferay.portal.kernel.searc
 h;version="17.0",com.liferay.portal.kernel.search.filter;version="1.0
 ",com.liferay.portal.kernel.search.generic;version="3.0",com.liferay.
 portal.kernel.security.auth;version="5.1",com.liferay.portal.kernel.s
 ecurity.permission;version="6.2",com.liferay.portal.kernel.security.p
 ermission.resource;version="2.1",com.liferay.portal.kernel.service;ve
 rsion="17.0",com.liferay.portal.kernel.service.change.tracking;versio
 n="1.0",com.liferay.portal.kernel.service.http;version="1.0",com.life
 ray.portal.kernel.service.permission;version="5.0",com.liferay.portal
 .kernel.service.persistence;version="16.0",com.liferay.portal.kernel.
 service.persistence.change.tracking;version="1.4",com.liferay.portal.
 kernel.service.persistence.change.tracking.helper;version="1.1",com.l
 iferay.portal.kernel.service.persistence.impl;version="4.1",com.lifer
 ay.portal.kernel.servlet;version="11.1",com.liferay.portal.kernel.set
 tings;version="3.2",com.liferay.portal.kernel.settings.definition;ver
 sion="1.0",com.liferay.portal.kernel.social;version="2.0",com.liferay
 .portal.kernel.systemevent;version="6.2",com.liferay.portal.kernel.te
 mplate;version="14.0",com.liferay.portal.kernel.templateparser;versio
 n="8.0",com.liferay.portal.kernel.theme;version="10.1",com.liferay.po
 rtal.kernel.transaction;version="8.1",com.liferay.portal.kernel.trash
 ;version="12.0",com.liferay.portal.kernel.tree;version="2.1",com.life
 ray.portal.kernel.upgrade;version="18.1",com.liferay.portal.kernel.up
 grade.util;version="10.2",com.liferay.portal.kernel.util;version="45.
 0",com.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.ke
 rnel.webserver;version="1.0",com.liferay.portal.kernel.workflow;versi
 on="17.2",com.liferay.portal.kernel.workflow.permission;version="7.0"
 ,com.liferay.portal.kernel.xml;version="7.0",com.liferay.portal.langu
 age,com.liferay.portal.search.batch;version="2.0",com.liferay.portal.
 search.filter;version="1.4",com.liferay.portal.search.index;version="
 4.0",com.liferay.portal.search.localization;version="1.0",com.liferay
 .portal.search.model.uid;version="1.1",com.liferay.portal.search.quer
 y;version="1.7",com.liferay.portal.search.spi.model.index.contributor
 ;version="1.1",com.liferay.portal.search.spi.model.index.contributor.
 helper;version="1.0",com.liferay.portal.search.spi.model.query.contri
 butor;version="1.1",com.liferay.portal.search.spi.model.query.contrib
 utor.helper;version="1.1",com.liferay.portal.search.spi.model.registr
 ar;version="2.0",com.liferay.portal.search.spi.model.registrar.contri
 butor;version="1.0",com.liferay.portal.search.spi.model.result.contri
 butor;version="1.1",com.liferay.portal.servlet.filters.cache,com.life
 ray.portal.upgrade.registry;version="5.0",com.liferay.portal.upgrade.
 v7_0_0;version="6.0",com.liferay.portal.util;version="36.0",com.lifer
 ay.portal.validation;version="1.0",com.liferay.portlet;version="8.2",
 com.liferay.portlet.asset.util;version="4.0",com.liferay.portlet.docu
 mentlibrary.lar;version="2.0",com.liferay.portlet.documentlibrary.sto
 re;version="4.0",com.liferay.ratings.kernel.service;version="2.6",com
 .liferay.rss.util;version="1.0",com.liferay.staging;version="1.1",com
 .liferay.staging.model.listener;version="1.0",com.liferay.subscriptio
 n.model;version="3.0",com.liferay.subscription.service;version="1.7",
 com.liferay.trash;version="2.1",com.liferay.trash.exception;version="
 1.1",com.liferay.trash.kernel.exception;version="1.1",com.liferay.tra
 sh.kernel.model;version="5.0",com.liferay.trash.kernel.service;versio
 n="1.5",com.liferay.trash.model;version="4.0",com.liferay.trash.servi
 ce;version="2.5",com.liferay.upload;version="1.2",com.liferay.xstream
 .configurator;version="1.2",javax.portlet,javax.servlet.http,javax.sq
 l,org.apache.commons.lang;version="2.6",org.apache.commons.lang.time;
 version="2.6",org.osgi.framework;version="1.8",org.osgi.service.cm;ve
 rsion="1.6",org.osgi.util.tracker;version="1.5"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Journal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 4.4.0
Liferay-Service: true
Private-Package: com.liferay.journal.internal.asset.auto.tagger.text.e
 xtractor,com.liferay.journal.internal.asset.util,com.liferay.journal.
 internal.asset.validator,com.liferay.journal.internal.change.tracking
 .internal.search,com.liferay.journal.internal.change.tracking.spi.ref
 erence,com.liferay.journal.internal.change.tracking.spi.resolver,com.
 liferay.journal.internal.change.tracking.spi.search,com.liferay.journ
 al.internal.configuration.definition,com.liferay.journal.internal.con
 figuration.persistence.listener,com.liferay.journal.internal.content.
 compatibility.converter,com.liferay.journal.internal.events,com.lifer
 ay.journal.internal.exportimport.content.processor,com.liferay.journa
 l.internal.exportimport.creation.strategy,com.liferay.journal.interna
 l.exportimport.data.handler,com.liferay.journal.internal.exportimport
 .lifecycle,com.liferay.journal.internal.exportimport.staged.model.rep
 ository,com.liferay.journal.internal.info.item.provider,com.liferay.j
 ournal.internal.instance.lifecycle,com.liferay.journal.internal.layou
 t.admin.util,com.liferay.journal.internal.model.listener,com.liferay.
 journal.internal.search,com.liferay.journal.internal.search.spi.model
 .index.contributor,com.liferay.journal.internal.search.spi.model.quer
 y.contributor,com.liferay.journal.internal.search.spi.model.result.co
 ntributor,com.liferay.journal.internal.security.permission,com.lifera
 y.journal.internal.security.permission.resource,com.liferay.journal.i
 nternal.settings.definition,com.liferay.journal.internal.transformer,
 com.liferay.journal.internal.trash,com.liferay.journal.internal.upgra
 de.helper,com.liferay.journal.internal.upgrade.registry,com.liferay.j
 ournal.internal.upgrade.v0_0_3,com.liferay.journal.internal.upgrade.v
 0_0_4,com.liferay.journal.internal.upgrade.v0_0_4.dependencies,com.li
 feray.journal.internal.upgrade.v0_0_5,com.liferay.journal.internal.up
 grade.v0_0_6,com.liferay.journal.internal.upgrade.v0_0_7,com.liferay.
 journal.internal.upgrade.v0_0_8,com.liferay.journal.internal.upgrade.
 v1_0_0,com.liferay.journal.internal.upgrade.v1_0_0.dependencies,com.l
 iferay.journal.internal.upgrade.v1_0_1,com.liferay.journal.internal.u
 pgrade.v1_1_0,com.liferay.journal.internal.upgrade.v1_1_0.dependencie
 s,com.liferay.journal.internal.upgrade.v1_1_1,com.liferay.journal.int
 ernal.upgrade.v1_1_2,com.liferay.journal.internal.upgrade.v1_1_3,com.
 liferay.journal.internal.upgrade.v1_1_5,com.liferay.journal.internal.
 upgrade.v1_1_6,com.liferay.journal.internal.upgrade.v1_1_8,com.lifera
 y.journal.internal.upgrade.v2_0_0.util,com.liferay.journal.internal.u
 pgrade.v3_0_0,com.liferay.journal.internal.upgrade.v3_3_0,com.liferay
 .journal.internal.upgrade.v3_5_0,com.liferay.journal.internal.upgrade
 .v3_5_1,com.liferay.journal.internal.upgrade.v4_0_0,com.liferay.journ
 al.internal.upgrade.v4_1_0,com.liferay.journal.internal.upgrade.v4_3_
 1,com.liferay.journal.internal.upgrade.v4_4_0,com.liferay.journal.int
 ernal.util,com.liferay.journal.internal.validation,com.liferay.journa
 l.internal.workflow,com.liferay.journal.internal.xstream.configurator
 ,com.liferay.journal.model.impl,com.liferay.journal.service.base,com.
 liferay.journal.service.http,com.liferay.journal.service.impl,com.lif
 eray.journal.service.persistence.impl,com.liferay.journal.service.per
 sistence.impl.constants,resource-actions
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.auto.tagger.text.extractor.TextExtractor";uses:="com.liferay.a
 sset.auto.tagger.text.extractor",osgi.service;objectClass:List<String
 >="com.liferay.asset.kernel.validator.AssetEntryValidatorExclusionRul
 e";uses:="com.liferay.asset.kernel.validator",osgi.service;objectClas
 s:List<String>="com.liferay.change.tracking.spi.listener.CTEventListe
 ner";uses:="com.liferay.change.tracking.spi.listener",osgi.service;ob
 jectClass:List<String>="com.liferay.change.tracking.spi.listener.CTEv
 entListener,com.liferay.journal.util.JournalContent,com.liferay.porta
 l.kernel.module.framework.service.IdentifiableOSGiService";uses:="com
 .liferay.change.tracking.spi.listener,com.liferay.journal.util,com.li
 feray.portal.kernel.module.framework.service",osgi.service;objectClas
 s:List<String>="com.liferay.change.tracking.spi.reference.TableRefere
 nceDefinition";uses:="com.liferay.change.tracking.spi.reference",osgi
 .service;objectClass:List<String>="com.liferay.change.tracking.spi.re
 solver.ConstraintResolver";uses:="com.liferay.change.tracking.spi.res
 olver",osgi.service;objectClass:List<String>="com.liferay.change.trac
 king.spi.search.CTSearchExcludeModelClassPKContributor";uses:="com.li
 feray.change.tracking.spi.search",osgi.service;objectClass:List<Strin
 g>="com.liferay.dynamic.data.mapping.util.DDMStructurePermissionSuppo
 rt,com.liferay.dynamic.data.mapping.util.DDMTemplatePermissionSupport
 ";uses:="com.liferay.dynamic.data.mapping.util,com.liferay.dynamic.da
 ta.mapping.util",osgi.service;objectClass:List<String>="com.liferay.e
 xportimport.content.processor.ExportImportContentProcessor";uses:="co
 m.liferay.exportimport.content.processor",osgi.service;objectClass:Li
 st<String>="com.liferay.exportimport.content.processor.ExportImportCo
 ntentProcessor,com.liferay.journal.internal.exportimport.content.proc
 essor.JournalArticleExportImportContentProcessor";uses:="com.liferay.
 exportimport.content.processor,com.liferay.journal.internal.exportimp
 ort.content.processor",osgi.service;objectClass:List<String>="com.lif
 eray.exportimport.content.processor.ExportImportContentProcessor,com.
 liferay.journal.internal.exportimport.content.processor.JournalFeedEx
 portImportContentProcessor";uses:="com.liferay.exportimport.content.p
 rocessor,com.liferay.journal.internal.exportimport.content.processor"
 ,osgi.service;objectClass:List<String>="com.liferay.exportimport.kern
 el.lar.PortletDataHandler";uses:="com.liferay.exportimport.kernel.lar
 ",osgi.service;objectClass:List<String>="com.liferay.exportimport.ker
 nel.lar.StagedModelDataHandler";uses:="com.liferay.exportimport.kerne
 l.lar",osgi.service;objectClass:List<String>="com.liferay.exportimpor
 t.kernel.lar.StagedModelDataHandler,com.liferay.journal.internal.expo
 rtimport.data.handler.JournalArticleStagedModelDataHandler";uses:="co
 m.liferay.exportimport.kernel.lar,com.liferay.journal.internal.export
 import.data.handler",osgi.service;objectClass:List<String>="com.lifer
 ay.exportimport.kernel.lifecycle.ExportImportLifecycleListener";uses:
 ="com.liferay.exportimport.kernel.lifecycle",osgi.service;objectClass
 :List<String>="com.liferay.exportimport.staged.model.repository.Stage
 dModelRepository";uses:="com.liferay.exportimport.staged.model.reposi
 tory",osgi.service;objectClass:List<String>="com.liferay.info.item.pr
 ovider.InfoItemWorkflowProvider";uses:="com.liferay.info.item.provide
 r",osgi.service;objectClass:List<String>="com.liferay.journal.content
 .compatibility.converter.JournalContentCompatibilityConverter";uses:=
 "com.liferay.journal.content.compatibility.converter",osgi.service;ob
 jectClass:List<String>="com.liferay.journal.internal.exportimport.con
 tent.processor.JournalArticleExportImportProcessorCache";uses:="com.l
 iferay.journal.internal.exportimport.content.processor",osgi.service;
 objectClass:List<String>="com.liferay.journal.internal.exportimport.c
 reation.strategy.JournalCreationStrategy";uses:="com.liferay.journal.
 internal.exportimport.creation.strategy",osgi.service;objectClass:Lis
 t<String>="com.liferay.journal.internal.upgrade.helper.JournalArticle
 ImageUpgradeHelper";uses:="com.liferay.journal.internal.upgrade.helpe
 r",osgi.service;objectClass:List<String>="com.liferay.journal.interna
 l.upgrade.registry.JournalServiceUpgradeStepRegistrator,com.liferay.p
 ortal.upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.jou
 rnal.internal.upgrade.registry,com.liferay.portal.upgrade.registry",o
 sgi.service;objectClass:List<String>="com.liferay.journal.service.per
 sistence.JournalArticleFinder";uses:="com.liferay.journal.service.per
 sistence",osgi.service;objectClass:List<String>="com.liferay.journal.
 service.persistence.JournalArticleLocalizationPersistence,com.liferay
 .portal.kernel.service.persistence.BasePersistence";uses:="com.lifera
 y.journal.service.persistence,com.liferay.portal.kernel.service.persi
 stence",osgi.service;objectClass:List<String>="com.liferay.journal.se
 rvice.persistence.JournalArticlePersistence,com.liferay.portal.kernel
 .service.persistence.BasePersistence";uses:="com.liferay.journal.serv
 ice.persistence,com.liferay.portal.kernel.service.persistence",osgi.s
 ervice;objectClass:List<String>="com.liferay.journal.service.persiste
 nce.JournalArticleResourcePersistence,com.liferay.portal.kernel.servi
 ce.persistence.BasePersistence";uses:="com.liferay.journal.service.pe
 rsistence,com.liferay.portal.kernel.service.persistence",osgi.service
 ;objectClass:List<String>="com.liferay.journal.service.persistence.Jo
 urnalContentSearchPersistence,com.liferay.portal.kernel.service.persi
 stence.BasePersistence";uses:="com.liferay.journal.service.persistenc
 e,com.liferay.portal.kernel.service.persistence",osgi.service;objectC
 lass:List<String>="com.liferay.journal.service.persistence.JournalFee
 dFinder";uses:="com.liferay.journal.service.persistence",osgi.service
 ;objectClass:List<String>="com.liferay.journal.service.persistence.Jo
 urnalFeedPersistence,com.liferay.portal.kernel.service.persistence.Ba
 sePersistence";uses:="com.liferay.journal.service.persistence,com.lif
 eray.portal.kernel.service.persistence",osgi.service;objectClass:List
 <String>="com.liferay.journal.service.persistence.JournalFolderFinder
 ";uses:="com.liferay.journal.service.persistence",osgi.service;object
 Class:List<String>="com.liferay.journal.service.persistence.JournalFo
 lderPersistence,com.liferay.portal.kernel.service.persistence.BasePer
 sistence";uses:="com.liferay.journal.service.persistence,com.liferay.
 portal.kernel.service.persistence",osgi.service;objectClass:List<Stri
 ng>="com.liferay.journal.util.JournalConverter";uses:="com.liferay.jo
 urnal.util",osgi.service;objectClass:List<String>="com.liferay.journa
 l.util.JournalDefaultTemplateProvider";uses:="com.liferay.journal.uti
 l",osgi.service;objectClass:List<String>="com.liferay.journal.util.Jo
 urnalHelper";uses:="com.liferay.journal.util",osgi.service;objectClas
 s:List<String>="com.liferay.journal.util.JournalTransformerListenerRe
 gistry";uses:="com.liferay.journal.util",osgi.service;objectClass:Lis
 t<String>="com.liferay.journal.util.JournalValidator";uses:="com.life
 ray.journal.util",osgi.service;objectClass:List<String>="com.liferay.
 layout.admin.kernel.util.SitemapURLProvider";uses:="com.liferay.layou
 t.admin.kernel.util",osgi.service;objectClass:List<String>="com.lifer
 ay.layout.util.LayoutClassedModelUsageRecorder";uses:="com.liferay.la
 yout.util",osgi.service;objectClass:List<String>="com.liferay.portal.
 aop.AopService";uses:="com.liferay.portal.aop",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.configuration.persistence.listene
 r.ConfigurationModelListener";uses:="com.liferay.portal.configuration
 .persistence.listener",osgi.service;objectClass:List<String>="com.lif
 eray.portal.instance.lifecycle.PortalInstanceLifecycleListener";uses:
 ="com.liferay.portal.instance.lifecycle",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:
 ="com.liferay.portal.kernel.dao.orm",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.kernel.events.LifecycleAction";uses:="com.l
 iferay.portal.kernel.events",osgi.service;objectClass:List<String>="c
 om.liferay.portal.kernel.model.ModelListener";uses:="com.liferay.port
 al.kernel.model",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.kernel.search.BaseSearcher";uses:="com.liferay.portal.kernel.se
 arch",osgi.service;objectClass:List<String>="com.liferay.portal.kerne
 l.search.DDMStructureIndexer";uses:="com.liferay.portal.kernel.search
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.se
 arch.Indexer";uses:="com.liferay.portal.kernel.search",osgi.service;o
 bjectClass:List<String>="com.liferay.portal.kernel.search.OpenSearch"
 ;uses:="com.liferay.portal.kernel.search",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.security.permission.PermissionU
 pdateHandler";uses:="com.liferay.portal.kernel.security.permission",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.secur
 ity.permission.resource.ModelResourcePermission";uses:="com.liferay.p
 ortal.kernel.security.permission.resource",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.kernel.settings.definition.Configurat
 ionBeanDeclaration";uses:="com.liferay.portal.kernel.settings.definit
 ion",osgi.service;objectClass:List<String>="com.liferay.portal.kernel
 .settings.definition.ConfigurationPidMapping";uses:="com.liferay.port
 al.kernel.settings.definition",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.templateparser.TransformerListener";uses:=
 "com.liferay.portal.kernel.templateparser",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.kernel.trash.TrashHandler";uses:="com
 .liferay.portal.kernel.trash",osgi.service;objectClass:List<String>="
 com.liferay.portal.kernel.workflow.WorkflowHandler";uses:="com.lifera
 y.portal.kernel.workflow",osgi.service;objectClass:List<String>="com.
 liferay.portal.search.spi.model.index.contributor.ModelDocumentContri
 butor";uses:="com.liferay.portal.search.spi.model.index.contributor",
 osgi.service;objectClass:List<String>="com.liferay.portal.search.spi.
 model.index.contributor.ModelIndexerWriterContributor";uses:="com.lif
 eray.portal.search.spi.model.index.contributor",osgi.service;objectCl
 ass:List<String>="com.liferay.portal.search.spi.model.query.contribut
 or.KeywordQueryContributor";uses:="com.liferay.portal.search.spi.mode
 l.query.contributor",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.search.spi.model.query.contributor.ModelPreFilterContributo
 r";uses:="com.liferay.portal.search.spi.model.query.contributor",osgi
 .service;objectClass:List<String>="com.liferay.portal.search.spi.mode
 l.result.contributor.ModelSummaryContributor";uses:="com.liferay.port
 al.search.spi.model.result.contributor",osgi.service;objectClass:List
 <String>="com.liferay.portal.search.spi.model.result.contributor.Mode
 lVisibilityContributor";uses:="com.liferay.portal.search.spi.model.re
 sult.contributor",osgi.service;objectClass:List<String>="com.liferay.
 portal.validation.ModelValidator";uses:="com.liferay.portal.validatio
 n",osgi.service;objectClass:List<String>="com.liferay.xstream.configu
 rator.XStreamConfigurator";uses:="com.liferay.xstream.configurator",o
 sgi.service;objectClass:List<String>="com.liferay.journal.service.Jou
 rnalArticleLocalService",osgi.service;objectClass:List<String>="com.l
 iferay.journal.service.JournalArticleResourceLocalService",osgi.servi
 ce;objectClass:List<String>="com.liferay.journal.service.JournalArtic
 leService",osgi.service;objectClass:List<String>="com.liferay.journal
 .service.JournalContentSearchLocalService",osgi.service;objectClass:L
 ist<String>="com.liferay.journal.service.JournalFeedLocalService",osg
 i.service;objectClass:List<String>="com.liferay.journal.service.Journ
 alFeedService",osgi.service;objectClass:List<String>="com.liferay.jou
 rnal.service.JournalFolderLocalService",osgi.service;objectClass:List
 <String>="com.liferay.journal.service.JournalFolderService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.display.page.service.AssetDisplayPageEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.entry.r
 el.service.AssetEntryAssetCategoryRelLocalService)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.service.
 AssetCategoryLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.asset.kernel.service.AssetEntryLocalService)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetLinkLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.asset.kernel.service.AssetTagLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.asset.kernel.service.AssetVocabularyLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.changeset.ser
 vice.ChangesetCollectionLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.changeset.service.ChangesetEntryLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.counter.kernel.service.CounterLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.data.engine.service
 .DEDataDefinitionFieldLinkLocalService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.depot.service.DepotEntryLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.diff.DiffHtml)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.document.library.kernel.service.DLAppLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.docume
 nt.library.kernel.service.DLAppService)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.document.library.util.DLURLHelpe
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 dynamic.data.lists.service.DDLRecordSetLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mappin
 g.service.DDMFieldLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.dynamic.data.mapping.service.DDMStorageL
 inkLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.dynamic.data.mapping.service.DDMStructureLayoutLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.dynamic.data.mapping.service.DDMStructureLinkLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.dynamic.da
 ta.mapping.service.DDMStructureLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.dynamic.data.mapping.servic
 e.DDMStructureService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.dynamic.data.mapping.service.DDMStructureVersionL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.dynamic.data.mapping.service.DDMTemplateLinkLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.dyna
 mic.data.mapping.service.DDMTemplateLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping.u
 til.DDMFormValuesToFieldsConverter)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.dynamic.data.mapping.util.DDMIndexer
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.d
 ynamic.data.mapping.util.DefaultDDMStructureHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.dynamic.data.mapping
 .util.FieldsToDDMFormValuesConverter)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.expando.kernel.service.ExpandoRowL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.expando.kernel.service.ExpandoValueLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.exportimport.
 content.processor.ExportImportContentProcessor)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.exportimport.kernel.lar.
 ExportImportHelper)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.exportimport.kernel.staging.Staging)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.exportimport.kerne
 l.staging.permission.StagingPermission)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.friendly.url.service.FriendlyURL
 EntryLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.info.item.InfoItemServiceTracker)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.journal.configuration.
 JournalFileUploadsConfiguration)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.journal.configuration.JournalGroupServi
 ceConfiguration)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.journal.content.compatibility.converter.JournalContentC
 ompatibilityConverter)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.journal.internal.exportimport.content.processor.J
 ournalArticleExportImportProcessorCache)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.journal.internal.exportimport.c
 ontent.processor.JournalFeedExportImportContentProcessor)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.journal.intern
 al.exportimport.creation.strategy.JournalCreationStrategy)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.journal.inter
 nal.exportimport.data.handler.JournalArticleStagedModelDataHandler)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.jour
 nal.internal.upgrade.helper.JournalArticleImageUpgradeHelper)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.journal.se
 rvice.JournalArticleLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.journal.service.JournalArticleResource
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.journal.service.JournalArticleService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.journal.service.Journa
 lContentSearchLocalService)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.journal.service.JournalFeedLocalService)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.journa
 l.service.JournalFolderLocalService)";effective:=active,osgi.service;
 filter:="(objectClass=com.liferay.journal.service.JournalFolderServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 journal.service.persistence.JournalArticleFinder)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.journal.service.persis
 tence.JournalArticleLocalizationPersistence)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.journal.service.persistence
 .JournalArticlePersistence)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.journal.service.persistence.JournalArticleRe
 sourcePersistence)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.journal.service.persistence.JournalContentSearchPersi
 stence)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.journal.service.persistence.JournalFeedFinder)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.journal.service.pers
 istence.JournalFeedPersistence)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.journal.service.persistence.JournalFolde
 rFinder)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.journal.service.persistence.JournalFolderPersistence)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.journal.util
 .JournalContent)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.journal.util.JournalConverter)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.journal.util.JournalDefault
 TemplateProvider)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.journal.util.JournalHelper)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.journal.util.JournalValidator
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.l
 ayout.admin.kernel.util.Sitemap)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.layout.display.page.LayoutDisplayPagePr
 oviderTracker)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.layout.page.template.service.LayoutPageTemplateEntryLocal
 Service)";effective:=active,osgi.service;filter:="(objectClass=com.li
 feray.layout.service.LayoutClassedModelUsageLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.change.
 tracking.store.CTStoreFactory)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.configuration.upgrade.PrefsPropsTo
 ConfigurationUpgradeHelper)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.dao.orm.custom.sql.CustomSQL)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.cache.MultiVMPool)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.cache.SingleVMPool)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.comm
 ent.CommentManager)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.configuration.Configuration)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.dao.orm.EntityCache)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.dao.orm.FinderCache)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.dao
 .orm.SessionFactory)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.json.JSONFactory)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.language
 .Language)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.module.configuration.ConfigurationProvider)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.module.framework.ModuleServiceLifecycle)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.portletfi
 lerepository.PortletFileRepository)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.portal.kernel.repository.capabilitie
 s.PortalCapabilityLocator)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.search.ExpandoQueryContributor)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.search.IndexWriterHelper)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.search.Indexer)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.search.IndexerRegistry)";effective:=active,osgi.service;filter
 :="(objectClass=com.liferay.portal.kernel.security.permission.InlineS
 QLHelper)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.security.permission.ResourceActions)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 security.permission.resource.ModelResourcePermission)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.secu
 rity.permission.resource.PortletResourcePermission)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.ClassNameLocalService)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.service.CompanyLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.portal.
 kernel.service.GroupLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.ImageLocalServic
 e)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.service.LayoutLocalService)";effective:=active,osgi.ser
 vice;filter:="(objectClass=com.liferay.portal.kernel.service.LayoutSe
 tLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.service.PortletPreferenceValueLocalService)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.service.PortletPreferencesLocalService)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servic
 e.ResourceActionLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.ResourceLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.SystemEventLocalService)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.service.User
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.UserNotificationEventLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.WorkflowDefinitionLinkLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.serv
 ice.WorkflowInstanceLinkLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.persistence.
 change.tracking.helper.CTPersistenceHelper)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portal.kernel.settings.Setti
 ngsFactory)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.templateparser.TransformerListener)";effective
 :=active;resolution:=optional;cardinality:=multiple,osgi.service;filt
 er:="(objectClass=com.liferay.portal.kernel.util.FriendlyURLNormalize
 r)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.util.Html)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.util.Localization)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.uti
 l.Portal)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.uuid.PortalUUID)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.workflow.permission.
 WorkflowPermission)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.search.batch.BatchIndexingHelper)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.search.
 batch.DynamicQueryBatchIndexingActionableFactory)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.search.filter.F
 ilterBuilders)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.search.index.IndexStatusManager)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.portal.search.locali
 zation.SearchLocalizationHelper)";effective:=active,osgi.service;filt
 er:="(objectClass=com.liferay.portal.search.model.uid.UIDFactory)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .search.query.QueryHelper)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.search.spi.model.index.contributor.Mod
 elDocumentContributor)";effective:=active;resolution:=optional;cardin
 ality:=multiple,osgi.service;filter:="(objectClass=com.liferay.portal
 .search.spi.model.index.contributor.ModelIndexerWriterContributor)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.search.spi.model.query.contributor.KeywordQueryContributor)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sea
 rch.spi.model.query.contributor.ModelPreFilterContributor)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.search
 .spi.model.registrar.ModelSearchRegistrarHelper)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.search.spi.model
 .result.contributor.ModelSummaryContributor)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.portal.search.spi.model.res
 ult.contributor.ModelVisibilityContributor)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.portlet.documentlibrary.stor
 e.StoreFactory)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.ratings.kernel.service.RatingsStatsLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.staging.St
 agingGroupHelper)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.staging.model.listener.StagingModelListener)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.subscription
 .service.SubscriptionLocalService)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.trash.TrashHelper)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.trash.service.TrashEn
 tryLocalService)";effective:=active,osgi.service;filter:="(objectClas
 s=com.liferay.trash.service.TrashVersionLocalService)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.upload.AttachmentC
 ontentUpdater)";effective:=active,osgi.service;filter:="(objectClass=
 javax.sql.DataSource)";effective:=active,osgi.service;filter:="(objec
 tClass=org.osgi.service.cm.ConfigurationAdmin)";effective:=active,osg
 i.extender;filter:="(&(osgi.extender=osgi.component)(version>=1.4.0)(
 !(version>=2.0.0)))",osgi.contract;osgi.contract=JavaPortlet;filter:=
 "(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;osgi.co
 ntract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(version=3.1
 .0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.journal.internal.asset.auto.ta
 gger.text.extractor.JournalArticleTextExtractor.xml,OSGI-INF/com.life
 ray.journal.internal.asset.util.JournalArticleLayoutClassedModelUsage
 Recorder.xml,OSGI-INF/com.liferay.journal.internal.asset.validator.Jo
 urnalArticleAssetEntryValidatorExclusionRule.xml,OSGI-INF/com.liferay
 .journal.internal.change.tracking.internal.search.JournalArticleCTSea
 rchEventListener.xml,OSGI-INF/com.liferay.journal.internal.change.tra
 cking.spi.reference.JournalArticleLocalizationTableReferenceDefinitio
 n.xml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.refer
 ence.JournalArticleResourceTableReferenceDefinition.xml,OSGI-INF/com.
 liferay.journal.internal.change.tracking.spi.reference.JournalArticle
 TableReferenceDefinition.xml,OSGI-INF/com.liferay.journal.internal.ch
 ange.tracking.spi.reference.JournalContentSearchTableReferenceDefinit
 ion.xml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.ref
 erence.JournalFeedTableReferenceDefinition.xml,OSGI-INF/com.liferay.j
 ournal.internal.change.tracking.spi.reference.JournalFolderTableRefer
 enceDefinition.xml,OSGI-INF/com.liferay.journal.internal.change.track
 ing.spi.resolver.ArticleIdAndJournalArticleVersionConstraintResolver.
 xml,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.resolve
 r.ExternalReferenceCodeAndJournalArticleVersionConstraintResolver.xml
 ,OSGI-INF/com.liferay.journal.internal.change.tracking.spi.resolver.J
 ournalFolderNameConstraintResolver.xml,OSGI-INF/com.liferay.journal.i
 nternal.change.tracking.spi.search.JournalArticleCTSearchExcludeModel
 ClassPKContributor.xml,OSGI-INF/com.liferay.journal.internal.configur
 ation.definition.JournalGroupServiceConfigurationPidMapping.xml,OSGI-
 INF/com.liferay.journal.internal.configuration.persistence.listener.J
 ournalServiceConfigurationModelListener.xml,OSGI-INF/com.liferay.jour
 nal.internal.content.compatibility.converter.JournalContentCompatibil
 ityConverterImpl.xml,OSGI-INF/com.liferay.journal.internal.events.Jou
 rnalServicePreAction.xml,OSGI-INF/com.liferay.journal.internal.export
 import.content.processor.JournalArticleExportImportContentProcessor.x
 ml,OSGI-INF/com.liferay.journal.internal.exportimport.content.process
 or.JournalArticleExportImportProcessorCache.xml,OSGI-INF/com.liferay.
 journal.internal.exportimport.content.processor.JournalFeedExportImpo
 rtContentProcessor.xml,OSGI-INF/com.liferay.journal.internal.exportim
 port.content.processor.JournalFeedReferencesExportImportContentProces
 sor.xml,OSGI-INF/com.liferay.journal.internal.exportimport.creation.s
 trategy.JournalCreationStrategyImpl.xml,OSGI-INF/com.liferay.journal.
 internal.exportimport.data.handler.JournalArticleStagedModelDataHandl
 er.xml,OSGI-INF/com.liferay.journal.internal.exportimport.data.handle
 r.JournalFeedStagedModelDataHandler.xml,OSGI-INF/com.liferay.journal.
 internal.exportimport.data.handler.JournalFolderStagedModelDataHandle
 r.xml,OSGI-INF/com.liferay.journal.internal.exportimport.data.handler
 .JournalPortletDataHandler.xml,OSGI-INF/com.liferay.journal.internal.
 exportimport.lifecycle.JournalCacheExportImportLifecycleListener.xml,
 OSGI-INF/com.liferay.journal.internal.exportimport.staged.model.repos
 itory.JournalArticleStagedModelRepository.xml,OSGI-INF/com.liferay.jo
 urnal.internal.exportimport.staged.model.repository.JournalFeedStaged
 ModelRepository.xml,OSGI-INF/com.liferay.journal.internal.exportimpor
 t.staged.model.repository.JournalFolderStagedModelRepository.xml,OSGI
 -INF/com.liferay.journal.internal.info.item.provider.JournalArticleIn
 foItemWorkflowProvider.xml,OSGI-INF/com.liferay.journal.internal.inst
 ance.lifecycle.AddDefaultJournalStructuresPortalInstanceLifecycleList
 ener.xml,OSGI-INF/com.liferay.journal.internal.instance.lifecycle.Che
 ckJournalContentSearchPortalInstanceLifecycleListener.xml,OSGI-INF/co
 m.liferay.journal.internal.layout.admin.util.JournalArticleSitemapURL
 Provider.xml,OSGI-INF/com.liferay.journal.internal.model.listener.DDM
 StructureModelListener.xml,OSGI-INF/com.liferay.journal.internal.mode
 l.listener.DDMTemplateModelListener.xml,OSGI-INF/com.liferay.journal.
 internal.model.listener.GroupModelListener.xml,OSGI-INF/com.liferay.j
 ournal.internal.model.listener.JournalArticleModelListener.xml,OSGI-I
 NF/com.liferay.journal.internal.model.listener.JournalArticleStagingM
 odelListener.xml,OSGI-INF/com.liferay.journal.internal.model.listener
 .JournalFeedStagingModelListener.xml,OSGI-INF/com.liferay.journal.int
 ernal.model.listener.JournalFolderStagingModelListener.xml,OSGI-INF/c
 om.liferay.journal.internal.model.listener.LayoutModelListener.xml,OS
 GI-INF/com.liferay.journal.internal.search.JournalArticleDDMStructure
 Indexer.xml,OSGI-INF/com.liferay.journal.internal.search.JournalArtic
 leIndexer.xml,OSGI-INF/com.liferay.journal.internal.search.JournalFol
 derSearchRegistrar.xml,OSGI-INF/com.liferay.journal.internal.search.J
 ournalFolderSearcher.xml,OSGI-INF/com.liferay.journal.internal.search
 .JournalOpenSearchImpl.xml,OSGI-INF/com.liferay.journal.internal.sear
 ch.spi.model.index.contributor.JournalArticleModelDocumentContributor
 .xml,OSGI-INF/com.liferay.journal.internal.search.spi.model.index.con
 tributor.JournalFolderModelDocumentContributor.xml,OSGI-INF/com.lifer
 ay.journal.internal.search.spi.model.index.contributor.JournalFolderM
 odelIndexerWriterContributor.xml,OSGI-INF/com.liferay.journal.interna
 l.search.spi.model.query.contributor.JournalArticleKeywordQueryContri
 butor.xml,OSGI-INF/com.liferay.journal.internal.search.spi.model.quer
 y.contributor.JournalArticleModelPreFilterContributor.xml,OSGI-INF/co
 m.liferay.journal.internal.search.spi.model.query.contributor.Journal
 FolderKeywordQueryContributor.xml,OSGI-INF/com.liferay.journal.intern
 al.search.spi.model.query.contributor.JournalFolderModelPreFilterCont
 ributor.xml,OSGI-INF/com.liferay.journal.internal.search.spi.model.re
 sult.contributor.JournalArticleModelSummaryContributor.xml,OSGI-INF/c
 om.liferay.journal.internal.search.spi.model.result.contributor.Journ
 alArticleModelVisibilityContributor.xml,OSGI-INF/com.liferay.journal.
 internal.search.spi.model.result.contributor.JournalFolderModelSummar
 yContributor.xml,OSGI-INF/com.liferay.journal.internal.security.permi
 ssion.JournalArticlePermissionUpdateHandler.xml,OSGI-INF/com.liferay.
 journal.internal.security.permission.JournalDDMPermissionSupport.xml,
 OSGI-INF/com.liferay.journal.internal.security.permission.JournalFeed
 PermissionUpdateHandler.xml,OSGI-INF/com.liferay.journal.internal.sec
 urity.permission.JournalFolderPermissionUpdateHandler.xml,OSGI-INF/co
 m.liferay.journal.internal.security.permission.resource.JournalArticl
 eModelResourcePermissionWrapper.xml,OSGI-INF/com.liferay.journal.inte
 rnal.security.permission.resource.JournalFeedModelResourcePermissionW
 rapper.xml,OSGI-INF/com.liferay.journal.internal.security.permission.
 resource.JournalFolderModelResourcePermissionWrapper.xml,OSGI-INF/com
 .liferay.journal.internal.security.permission.resource.JournalPortlet
 ResourcePermissionRegsitrar.xml,OSGI-INF/com.liferay.journal.internal
 .settings.definition.JournalFileUploadsConfigurationBeanDeclaration.x
 ml,OSGI-INF/com.liferay.journal.internal.settings.definition.JournalG
 roupServiceConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.jour
 nal.internal.settings.definition.JournalServiceConfigurationBeanDecla
 ration.xml,OSGI-INF/com.liferay.journal.internal.transformer.ContentT
 ransformerListener.xml,OSGI-INF/com.liferay.journal.internal.transfor
 mer.DefaultJournalTransformerListenerRegistryImpl.xml,OSGI-INF/com.li
 feray.journal.internal.transformer.LocaleTransformerListener.xml,OSGI
 -INF/com.liferay.journal.internal.transformer.RegexTransformerListene
 r.xml,OSGI-INF/com.liferay.journal.internal.transformer.TokensTransfo
 rmerListener.xml,OSGI-INF/com.liferay.journal.internal.transformer.Vi
 ewCounterTransformerListener.xml,OSGI-INF/com.liferay.journal.interna
 l.trash.JournalArticleTrashHandler.xml,OSGI-INF/com.liferay.journal.i
 nternal.trash.JournalFolderTrashHandler.xml,OSGI-INF/com.liferay.jour
 nal.internal.upgrade.helper.JournalArticleImageUpgradeHelper.xml,OSGI
 -INF/com.liferay.journal.internal.upgrade.registry.JournalServiceUpgr
 adeStepRegistrator.xml,OSGI-INF/com.liferay.journal.internal.util.Jou
 rnalContentImpl.xml,OSGI-INF/com.liferay.journal.internal.util.Journa
 lConverterImpl.xml,OSGI-INF/com.liferay.journal.internal.util.Journal
 DefaultTemplateProviderImpl.xml,OSGI-INF/com.liferay.journal.internal
 .util.JournalHelperImpl.xml,OSGI-INF/com.liferay.journal.internal.uti
 l.JournalHelperUtil.xml,OSGI-INF/com.liferay.journal.internal.util.Jo
 urnalServiceComponentProvider.xml,OSGI-INF/com.liferay.journal.intern
 al.util.JournalValidatorImpl.xml,OSGI-INF/com.liferay.journal.interna
 l.validation.JournalArticleModelValidator.xml,OSGI-INF/com.liferay.jo
 urnal.internal.validation.JournalFolderModelValidator.xml,OSGI-INF/co
 m.liferay.journal.internal.workflow.JournalArticleWorkflowHandler.xml
 ,OSGI-INF/com.liferay.journal.internal.xstream.configurator.JournalXS
 treamConfigurator.xml,OSGI-INF/com.liferay.journal.service.impl.Journ
 alArticleLocalServiceImpl.xml,OSGI-INF/com.liferay.journal.service.im
 pl.JournalArticleLocalizationCTServiceImpl.xml,OSGI-INF/com.liferay.j
 ournal.service.impl.JournalArticleResourceLocalServiceImpl.xml,OSGI-I
 NF/com.liferay.journal.service.impl.JournalArticleServiceImpl.xml,OSG
 I-INF/com.liferay.journal.service.impl.JournalContentSearchLocalServi
 ceImpl.xml,OSGI-INF/com.liferay.journal.service.impl.JournalFeedLocal
 ServiceImpl.xml,OSGI-INF/com.liferay.journal.service.impl.JournalFeed
 ServiceImpl.xml,OSGI-INF/com.liferay.journal.service.impl.JournalFold
 erLocalServiceImpl.xml,OSGI-INF/com.liferay.journal.service.impl.Jour
 nalFolderServiceImpl.xml,OSGI-INF/com.liferay.journal.service.persist
 ence.impl.JournalArticleFinderImpl.xml,OSGI-INF/com.liferay.journal.s
 ervice.persistence.impl.JournalArticleLocalizationModelArgumentsResol
 ver.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.Journal
 ArticleLocalizationPersistenceImpl.xml,OSGI-INF/com.liferay.journal.s
 ervice.persistence.impl.JournalArticleModelArgumentsResolver.xml,OSGI
 -INF/com.liferay.journal.service.persistence.impl.JournalArticlePersi
 stenceImpl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.
 JournalArticleResourceModelArgumentsResolver.xml,OSGI-INF/com.liferay
 .journal.service.persistence.impl.JournalArticleResourcePersistenceIm
 pl.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.JournalC
 ontentSearchModelArgumentsResolver.xml,OSGI-INF/com.liferay.journal.s
 ervice.persistence.impl.JournalContentSearchPersistenceImpl.xml,OSGI-
 INF/com.liferay.journal.service.persistence.impl.JournalFeedFinderImp
 l.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.JournalFe
 edModelArgumentsResolver.xml,OSGI-INF/com.liferay.journal.service.per
 sistence.impl.JournalFeedPersistenceImpl.xml,OSGI-INF/com.liferay.jou
 rnal.service.persistence.impl.JournalFolderFinderImpl.xml,OSGI-INF/co
 m.liferay.journal.service.persistence.impl.JournalFolderModelArgument
 sResolver.xml,OSGI-INF/com.liferay.journal.service.persistence.impl.J
 ournalFolderPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

